> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer Capabilities

> Returns the on-ramp and off-ramp capabilities available for a customer, including the supported rails and their activation status for each currency and corridor.



## OpenAPI

````yaml GET /v2/customers/{customer_id}/capabilities
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: A simple API specification
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
paths:
  /v2/customers/{customer_id}/capabilities:
    get:
      tags:
        - Customers
      summary: Get Customer Capabilities
      description: >-
        Returns the on-ramp and off-ramp capabilities available for a customer,
        including the supported rails and their activation status for each
        currency and corridor.
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          example: ed54db74-7dbe-47d2-8ea0-c2bf2a9dda06
      responses:
        '200':
          description: Customer capabilities retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      on_ramp:
                        type: array
                        items:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            rail:
                              type: string
                              example: ACH
                            status:
                              type: boolean
                              example: true
                      off_ramp:
                        type: array
                        items:
                          type: object
                          properties:
                            corridor:
                              type: string
                              example: BGD
                            currency_wise_rail:
                              type: array
                              items:
                                type: object
                                properties:
                                  currency:
                                    type: string
                                    example: BDT
                                  rails:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        rail:
                                          type: string
                                          example: LOCAL
                                        status:
                                          type: boolean
                                          example: true
              examples:
                OK:
                  summary: OK
                  value:
                    data:
                      on_ramp:
                        - currency: USD
                          rail: ACH
                          status: false
                        - currency: USD
                          rail: FEDWIRE
                          status: true
                        - currency: USD
                          rail: SWIFT
                          status: true
                      off_ramp:
                        - corridor: BGD
                          currency_wise_rail:
                            - currency: BDT
                              rails:
                                - rail: LOCAL
                                  status: true
                            - currency: USD
                              rails:
                                - rail: SWIFT
                                  status: true
                        - corridor: AUS
                          currency_wise_rail:
                            - currency: USD
                              rails:
                                - rail: SWIFT
                                  status: true
                        - corridor: GBR
                          currency_wise_rail:
                            - currency: USD
                              rails:
                                - rail: SWIFT
                                  status: true
                            - currency: GBP
                              rails:
                                - rail: LOCAL
                                  status: true
                        - corridor: CAN
                          currency_wise_rail:
                            - currency: USD
                              rails:
                                - rail: SWIFT
                                  status: true
                        - corridor: DEU
                          currency_wise_rail:
                            - currency: USD
                              rails:
                                - rail: SWIFT
                                  status: true
                            - currency: EUR
                              rails:
                                - rail: LOCAL
                                  status: true
                        - corridor: POL
                          currency_wise_rail:
                            - currency: USD
                              rails:
                                - rail: SWIFT
                                  status: true
                        - corridor: IND
                          currency_wise_rail:
                            - currency: USD
                              rails:
                                - rail: SWIFT
                                  status: true
                            - currency: INR
                              rails:
                                - rail: LOCAL
                                  status: true
                        - corridor: PAK
                          currency_wise_rail:
                            - currency: USD
                              rails:
                                - rail: SWIFT
                                  status: true
                        - corridor: NPL
                          currency_wise_rail:
                            - currency: USD
                              rails:
                                - rail: SWIFT
                                  status: true
                        - corridor: PHL
                          currency_wise_rail:
                            - currency: USD
                              rails:
                                - rail: SWIFT
                                  status: true
                        - corridor: SGP
                          currency_wise_rail:
                            - currency: USD
                              rails:
                                - rail: SWIFT
                                  status: true
                            - currency: SGD
                              rails:
                                - rail: LOCAL
                                  status: true
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
    NotFoundError:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Resource not found
    ValidationError:
      description: Failed due to a formatting error.
      content:
        application/json:
          schema:
            type: object
            required:
              - message
            properties:
              message:
                type: string
              errors:
                type: array
                items:
                  type: object
                  additionalProperties:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````